summaryrefslogtreecommitdiff
path: root/dev-ruby/term-ansicolor
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/term-ansicolor
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/term-ansicolor')
-rw-r--r--dev-ruby/term-ansicolor/Manifest2
-rw-r--r--dev-ruby/term-ansicolor/metadata.xml9
-rw-r--r--dev-ruby/term-ansicolor/term-ansicolor-1.11.2.ebuild33
-rw-r--r--dev-ruby/term-ansicolor/term-ansicolor-1.11.3.ebuild38
4 files changed, 82 insertions, 0 deletions
diff --git a/dev-ruby/term-ansicolor/Manifest b/dev-ruby/term-ansicolor/Manifest
new file mode 100644
index 000000000000..215894f83ef4
--- /dev/null
+++ b/dev-ruby/term-ansicolor/Manifest
@@ -0,0 +1,2 @@
+DIST term-ansicolor-1.11.2.gem 47616 BLAKE2B 4481e347c23af4e03061bd92df387ad996e99e86c63ab9377c713ae3f70f12a53c3aa8a411fdcf003fabaedf3e9b39275910627ebaff19b963f49b2879c7b895 SHA512 df7384dbfd68e1efe161f2edc186306a40d8492b488bfc9436cadef09d7b961bc29983a40fca93e2e127c1b502272eb01aa65cc65ba7729a81b31b37aaafcd65
+DIST term-ansicolor-1.11.3.gem 49152 BLAKE2B 992b3fdbbaa1359809f85a0abf9349b61be220ee82ce3c8a60efb6ad9f01968d7db4d1b80dedd11aafb7405e9a440aef7e0c5536ec4837354800bf8e03533e82 SHA512 610c7f3afd278e5c75903a5c71710b41ab02fa586911e3c8a06e22194c0dc1e0edf6b0fe26839bce562ccece1a260dc413f564db9867df9e8f3882f254a4f5c7
diff --git a/dev-ruby/term-ansicolor/metadata.xml b/dev-ruby/term-ansicolor/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/term-ansicolor/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-ruby/term-ansicolor/term-ansicolor-1.11.2.ebuild b/dev-ruby/term-ansicolor/term-ansicolor-1.11.2.ebuild
new file mode 100644
index 000000000000..704e10d407ac
--- /dev/null
+++ b/dev-ruby/term-ansicolor/term-ansicolor-1.11.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_GEMSPEC="term-ansicolor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Small Ruby library that colors strings using ANSI escape sequences"
+HOMEPAGE="https://github.com/flori/term-ansicolor"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ppc ppc64 ~sparc x86 ~x64-macos ~x64-solaris"
+
+ruby_add_rdepend ">=dev-ruby/tins-1.0"
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:tests -e 'Dir["tests/*_test.rb"].each{|f| require f}' || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc examples/*
+}
diff --git a/dev-ruby/term-ansicolor/term-ansicolor-1.11.3.ebuild b/dev-ruby/term-ansicolor/term-ansicolor-1.11.3.ebuild
new file mode 100644
index 000000000000..32f6ae167c94
--- /dev/null
+++ b/dev-ruby/term-ansicolor/term-ansicolor-1.11.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="term-ansicolor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Small Ruby library that colors strings using ANSI escape sequences"
+HOMEPAGE="https://github.com/flori/term-ansicolor"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x64-macos ~x64-solaris"
+
+ruby_add_rdepend ">=dev-ruby/tins-1.0"
+
+all_ruby_prepare() {
+ sed -e '/simplecov/I s:^:#:' \
+ -i tests/test_helper.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:tests -e 'Dir["tests/*_test.rb"].each{|f| require f}' || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc examples/*
+}